org.apache.ivy.util.cli

## Class OptionBuilder

- java.lang.Object
- - org.apache.ivy.util.cli.OptionBuilder

    public class OptionBuilder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`OptionBuilder(java.lang.String name)`

### Method Summary

Methods
`OptionBuilder` `arg(java.lang.String argName)`
`OptionBuilder` `countArgs(boolean countArgs)`
`Option` `create()`
`OptionBuilder` `deprecated()`
`OptionBuilder` `description(java.lang.String description)`
`OptionBuilder` `required(boolean required)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptionBuilder

    public OptionBuilder(java.lang.String name)

### Method Detail

#### required

    public OptionBuilder required(boolean required)

#### description

    public OptionBuilder description(java.lang.String description)

#### arg

    public OptionBuilder arg(java.lang.String argName)

#### countArgs

    public OptionBuilder countArgs(boolean countArgs)

#### deprecated

    public OptionBuilder deprecated()

#### create

    public Option create()